commit a6283abe36cd4376141c680ada5f68000b8f603d
Author: GCC Administrator <gccadmin@gcc.gnu.org>
Date:   Wed Jul 10 00:21:12 2024 +0000

    Daily bump.

diff --git a/gcc/DATESTAMP b/gcc/DATESTAMP
index b01fad6bd4f..1f0d44748df 100644
--- a/gcc/DATESTAMP
+++ b/gcc/DATESTAMP
@@ -1 +1 @@
-20240709
+20240710
diff --git a/libstdc++-v3/ChangeLog b/libstdc++-v3/ChangeLog
index 62345b0d11e..92466e991a0 100644
--- a/libstdc++-v3/ChangeLog
+++ b/libstdc++-v3/ChangeLog
@@ -1,3 +1,13 @@
+2024-07-09  Jonathan Wakely  <jwakely@redhat.com>
+
+	Backported from master:
+	2024-07-08  Jonathan Wakely  <jwakely@redhat.com>
+
+	PR libstdc++/115807
+	* include/c_compatibility/stdatomic.h (_Atomic): Ensure it
+	refers to std::atomic in the global namespace.
+	* testsuite/29_atomics/headers/stdatomic.h/115807.cc: New test.
+
 2024-06-27  Alexandre Oliva  <oliva@adacore.com>
 
 	Backported from master:

